Bug 1472975 - DetachVolume is missing in AWS EBS cloudwatch event catcher
DetachVolume is missing in AWS EBS cloudwatch event catcher
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Storage (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: Bronagh Sorota
Matouš Mojžíš
storage:ec2:ebs:volume
: TestOnly, ZStream
Depends On:
Blocks: 1500954
  Show dependency treegraph
 
Reported: 2017-07-19 13:26 EDT by Matouš Mojžíš
Modified: 2017-11-14 12:55 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1500954 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matouš Mojžíš 2017-07-19 13:26:28 EDT
Description of problem:
Based on this BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1449235
All the other possible events were added but this one is still missing.

Version-Release number of selected component (if applicable):
5.8.1.2

How reproducible:
Always

Steps to Reproduce:
1. Have an ec2 provider
2. Detach a volume from an instance
3. Autorefresh doesn't kick off

Actual results:


Expected results:


Additional info:
Comment 3 CFME Bot 2017-08-07 13:13:16 EDT
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/68b649c3674196d13afead3658a09b0ac778c9d4

commit 68b649c3674196d13afead3658a09b0ac778c9d4
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Fri Aug 4 15:35:37 2017 -0400
Commit:     Bronagh Sorota <bsorota@redhat.com>
CommitDate: Fri Aug 4 15:35:37 2017 -0400

    AWS DetachVolume event switchboard setting.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1472975

 .../System/Event/EmsEvent/Amazon.class/detachvolume.yaml     | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/detachvolume.yaml
Comment 7 Matouš Mojžíš 2017-11-14 12:55:30 EST
Verified in 5.9.0.8. DetachVolume is in event catcher and targeted refresh works for it.

Note You need to log in before you can comment on or make changes to this bug.